clang 10.0.0git

Functions
DeclObjC.cpp File Reference
`#include "clang/AST/DeclObjC.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/AST/ASTMutationListener.h"`
`#include "clang/AST/Attr.h"`
`#include "clang/AST/Decl.h"`
`#include "clang/AST/DeclBase.h"`
`#include "clang/AST/Stmt.h"`
`#include "clang/AST/Type.h"`
`#include "clang/AST/TypeLoc.h"`
`#include "clang/Basic/IdentifierTable.h"`
`#include "clang/Basic/LLVM.h"`
`#include "clang/Basic/LangOptions.h"`
`#include "clang/Basic/SourceLocation.h"`
`#include "llvm/ADT/None.h"`
`#include "llvm/ADT/SmallString.h"`
`#include "llvm/ADT/SmallVector.h"`
`#include "llvm/Support/Casting.h"`
`#include "llvm/Support/ErrorHandling.h"`
`#include "llvm/Support/raw_ostream.h"`
`#include <algorithm>`
`#include <cassert>`
`#include <cstdint>`
`#include <cstring>`
`#include <utility>`
Include dependency graph for DeclObjC.cpp:

Go to the source code of this file.

## Functions
static bool | isIntroducingInitializers (const ObjCInterfaceDecl *D)
static void | CollectOverriddenMethodsRecurse (const ObjCContainerDecl *Container, const ObjCMethodDecl *Method, SmallVectorImpl< const ObjCMethodDecl *> &Methods, bool MovedToSuper)
static void | CollectOverriddenMethods (const ObjCContainerDecl *Container, const ObjCMethodDecl *Method, SmallVectorImpl< const ObjCMethodDecl *> &Methods)
static void | collectOverriddenMethodsSlow (const ObjCMethodDecl *Method, SmallVectorImpl< const ObjCMethodDecl *> &overridden)

## Function Documentation

## ◆ CollectOverriddenMethods()

static void CollectOverriddenMethods | ( | const ObjCContainerDecl * | Container,
|  | const ObjCMethodDecl * | Method,
|  | SmallVectorImpl< const ObjCMethodDecl *> & | Methods
| ) |  |
| inline static

Definition at line 1248 of file DeclObjC.cpp.

Referenced by collectOverriddenMethodsSlow().

## ◆ CollectOverriddenMethodsRecurse()

static void CollectOverriddenMethodsRecurse | ( | const ObjCContainerDecl * | Container,
|  | const ObjCMethodDecl * | Method,
|  | SmallVectorImpl< const ObjCMethodDecl *> & | Methods,
|  | bool | MovedToSuper
| ) |  |
| static

Definition at line 1188 of file DeclObjC.cpp.

## ◆ collectOverriddenMethodsSlow()

static void collectOverriddenMethodsSlow | ( | const ObjCMethodDecl * | Method,
|  | SmallVectorImpl< const ObjCMethodDecl *> & | overridden
| ) |  |
| static

Definition at line 1255 of file DeclObjC.cpp.

References CollectOverriddenMethods(), clang::Decl::getDeclContext(), clang::ObjCContainerDecl::getMethod(), clang::ObjCMethodDecl::getSelector(), clang::ObjCMethodDecl::isInstanceMethod(), and clang::ObjCMethodDecl::isOverriding().

Referenced by clang::ObjCMethodDecl::getOverriddenMethods().

## ◆ isIntroducingInitializers()

static bool isIntroducingInitializers | ( | const ObjCInterfaceDecl * | D | ) |
| static

Definition at line 486 of file DeclObjC.cpp.

References clang::ObjCInterfaceDecl::getImplementation(), clang::ObjCContainerDecl::instance_methods(), clang::OMF_init, and clang::ObjCInterfaceDecl::visible_extensions().